.iconHeart {
    width: 80px;
    height: 80px;
    position: absolute;
    left: auto;
    right: 30px;
    top: -31px;
    transform: translate(0%, 0%);
    background: url(https://bintaga.ru/local/templates/bintaga/images/icons/img_favorite_icon.png) no-repeat;
    background-position: -2800px 0;
    background-position: 0 0;
    cursor: pointer;
    transform: scale(0.6);
}

@keyframes fave-heart {
    0% {
        background-position: 0 0;
    }
    100% {
        background-position: -2800px 0;
    }
}


.iconHeart.active {
    background-position: -2800px 0;
    transition: background 1s steps(28);
    animation: fave-heart 1s steps(28);
}

@keyframes fave-heart {
    0% {
        background-position: 0 0;
    }
    100% {
        background-position: -2800px 0;
    }
}